/*
 * Copyright 2004-2005 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.maya.sample.hangman;

/**
 * @author Masataka Kurihara (Gluegent, Inc.)
 */
public interface CONST_GAME {

    String PREFIX_IMAGE = "images/";
    String SUFFIX_IMAGE = ".gif";
    
    String PAGE_INDEX = "INDEX"; 
    String PAGE_GUESS = "GUESS"; 
    String PAGE_SUCCESS = "SUCCESS";
    String PAGE_FAILED = "FAILED";

    String[] LIST_WORD = {
        "access",
        "account",
        "acquisition",
        "acrobat",
        "acronym",
        "active",
        "address",
        "adobe",
        "affiliate",
        "algorithm",
        "alias",
        "analog",
        "anchor",
        "animation",
        "anonymous",
        "apache",
        "apple",
        "aspect",
        "audio",
        "authorization",
        "backbone",
        "backdoor",
        "bandwidth",
        "banner",
        "barter",
        "batch",
        "benchmark",
        "beta",
        "binary",
        "biometrics",
        "bitmap",
        "bookmark",
        "broadband",
        "broadcast",
        "browser",
        "buzzword",
        "cable",
        "cache",
        "campus",
        "channel",
        "character",
        "clean",
        "click",
        "client",
        "collaborative",
        "command",
        "commerce",
        "compatible",
        "compression",
        "computer",
        "confidentiality",
        "configuration",
        "configure",
        "connect",
        "connectivity",
        "content",
        "convergence",
        "cookies",
        "coopetition",
        "counter",
        "crackable",
        "crash",
        "crusader",
        "customize",
        "cyborg",
        "daemon",
        "deactivation",
        "decode",
        "decryption",
        "default",
        "device",
        "digital",
        "directory",
        "distribution",
        "document",
        "domain",
        "download",
        "dynamic",
        "electronic",
        "embedded",
        "enterprise",
        "environment",
        "ethernet",
        "evangelist",
        "export",
        "extensions",
        "extranet",
        "failure",
        "favorite",
        "feature",
        "file",
        "filter",
        "finger",
        "firewall",
        "firmware",
        "flame",
        "flavor",
        "format",
        "forum",
        "fractal",
        "freeware",
        "functionality",
        "gaming",
        "gateway",
        "geek",
        "genius",
        "gigabyte",
        "globalization",
        "google",
        "graffiti",
        "graphics",
        "groupware",
        "guardian",
        "hacker",
        "hairball",
        "handle",
        "handshake",
        "handwriting",
        "headmount",
        "hexadecimal",
        "hierarchy",
        "homepage",
        "host",
        "hotmail",
        "hyperlink",
        "hypermedia",
        "hypertext",
        "identity",
        "inbox",
        "index",
        "information",
        "infotainment",
        "infrared",
        "infrastructure",
        "initialization",
        "install",
        "integrate",
        "integrity",
        "interactive",
        "interface",
        "internet",
        "interoperability",
        "intranet",
        "java",
        "javascript",
        "kernel",
        "keyboard",
        "kilobyte",
        "kiosk",
        "knowledge",
        "language",
        "laptop",
        "launch",
        "legacy",
        "leverage",
        "link",
        "link",
        "linux",
        "load",
        "log",
        "logoff",
        "macintosh",
        "macromedia",
        "mainframe",
        "management",
        "megabyte",
        "megahertz",
        "meltdown",
        "microsoft",
        "modem",
        "monitor",
        "mozilla",
        "multicast",
        "nanosecond",
        "napster",
        "navigate",
        "netscape",
        "newsgroups",
        "norton",
        "obsolete",
        "offline",
        "online",
        "optimize",
        "outage",
        "packet",
        "payment",
        "paypal",
        "peer",
        "peripheral",
        "photoshop",
        "portable",
        "portal",
        "postmaster",
        "program",
        "programmer",
        "programming",
        "prompt",
        "proprietary",
        "protocol",
        "publisher",
        "quantum",
        "query",
        "queue",
        "qwerty",
        "radar",
        "radio",
        "reboot",
        "redirect",
        "reformat",
        "refresh",
        "remote",
        "resolution",
        "resolve",
        "resonate",
        "robot",
        "runtime",
        "satellite",
        "scanner",
        "schedule",
        "script",
        "search",
        "security",
        "server",
        "shareware",
        "skyscraper",
        "sniffer",
        "socket",
        "spam",
        "speed",
        "spider",
        "spoofing",
        "spyware",
        "stack",
        "static",
        "strawman",
        "string",
        "stylus",
        "subscribe",
        "success",
        "support",
        "synchronization",
        "technobabble",
        "terminal",
        "thread",
        "throughput",
        "thumbnail",
        "titanium",
        "toggle",
        "toolbar",
        "trackball",
        "traffic",
        "transponder",
        "turnkey",
        "unix",
        "upgrade",
        "uplink",
        "upload",
        "upside",
        "upstream",
        "user",
        "vanilla",
        "vaporware",
        "vector",
        "video",
        "virtual",
        "virus",
        "wallpaper",
        "windows",
        "wireless",
        "workstation",
        "worm",
        "yahoo",
        "zip",
        "zombie",
        "zone"
    };
    
}
